# Automatically use bmake instead of make when using pkgsrc, if necessary
function make
	if string match -q -r '/pkgsrc$|/pkgsrc/' $PWD
		# pkgsrc does not like MAKEFLAGS including -j
		set -lx MAKEFLAGS

		if which bmake >/dev/null ^&1 && \
			command bmake $argv
		else
			command make $argv
		end
	else
		command make $argv
	end
end
