function pw
	set -l clipboard
	if which pbcopy >/dev/null ^&1
		set clipboard pbcopy
	else if which xclip >/dev/null ^&1
		set clipboard xclip
	else
		echo "No clipboard handler found!"
		return 1
	end

	cryptopassphrase -k ~/.scrypt-pwgen.key $argv | tr -d '\n' | $clipboard
end
